Spotify OpenSuSE 15.0 Leapen

Sokan szoktam gondolkodni azon, hogy miért szeretem a Debiant. Azonkívül, hogy amikor elkezdtem Linuxozni akkor botrány volt az egész rpm csomagkezelés és függőségkezelés. Még 10 éve is sikerült jó kis dependency hellt okoznom egy VLC telepítéssel OpenSuSE-n. Aztán mire összekalapáltam, hiányoztak a driverek amiket nem tudtam felrakni, illetve amikor felkerültek ugyanúgy nem ment a videólejtszás. Nyilván PEBKAC de debian alatt meg megvoltam ezzel 10 perc alatt. Ez az összecsiszoltság mára sokat javult OpenSuSE téren legalábbis. Debiannál bár default nem volt összecsiszolva, könnyedén összeraktad magadnak a hatalmas repo és a pofonegyszerue az apt miatt.

Lényegre térve. Spotify-n gondoltam felrakni asztali opensusemra. Természetesen rpm nincs belőle csak deb (régen ez meg pont fordítva volt… ), no sebaj gyors google megmondta, hogy a repoban van egy script ami letölti, átkonvertálja, feltolja a függőségeket. Ez kell nekem, had szóljon:

sudo zypper install spotify-installer

Majd nem rootként egy

install-spotify

Nem is linux lenne ha ez simán menne… :) hiányolni fogja a libgcrypt.so.11 libet. Amit nem is talál semmilyen csomagban tehát kész, itt a vége. Igazából innen jutott eszembe a kis szösszenet amit az elején írtam. Debiannal az összes eddig megjelent csomagot is tudod böngészni a neten és letudod tölteni a csomagot ha szükséges. Hát sajnos OpenSUSE-nak én nem találtam ilyen archive repot. Így maradt a google. Levadásztam a csomagot és reménykedtem benne, hogy miután csak egy lib ezért nem lesz különösebb függősége. Szerencsére nem volt.

A csomag innen van, tükröztem ide: libgcrypt11-1-5-3-6-1-x86_64.

rpm -i libgcrypt11-1-5-3-6-1-x86_64.rpm

Újra ha megfuttatjuk az install-spotify parancsot már simán felmegy és használhatjuk.

Nyilván nem supported ez a csomag már, lehet benne biztonsági rés ésatöbbi… Nem véletlenül nincs már benne a mostani terjesztésben.

tl;dr:

sudo rpm -i libgcrypt11-1-5-3-6-1-x86_64.rpm
sudo zypper install spotify-installer
install-spotify

This entry was posted in Linux, Linux desktop éve, OpenSUSE, Uncategorized. Bookmark the permalink.

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code class="" title="" data-url=""> <del datetime=""> <em> <i> <q cite=""> <strike> <strong> <pre class="" title="" data-url=""> <span class="" title="" data-url="">